# Channel Search Results

Get the search results for a specific notification channel.

Endpoint: GET /api/v1/user/channels/{channelId}
Version: 1.0.0
Security: apikeyAuth

## Path parameters:

  - `channelId` (string, required)

## Response 200 fields (application/json):

  - `channel` (object)
    Example: {"_id":"{{channelId}}","type":"webhook","webhookURL":"https://example.com/cgi-bin/urlscan","name":"Test webhook","description":"Webhook testing channel.","isActive":true,"ignoreTime":false}

  - `channel._id` (string)
    Channel ID
    Example: "{{channelId}}"

  - `channel.type` (string)
    Type of channel, "webhook" or "email".
    Example: "webhook"

  - `channel.webhookURL` (string)
    Frequency of notifications.
    Enum: "live", "hourly", "daily"

  - `channel.frequency` (string)
    Frequency of notifications ("live", "hourly", or "daily").

  - `channel.emailAddresses` (array)
    Email addresses receiving the notifications.

  - `channel.utcTime` (string)
    24 hour UTC time that daily emails are sent (e.g. 09:00).

  - `channel.name` (string)
    Name of the subscription.
    Example: "Test webhook"

  - `channel.isActive` (boolean)
    Whether the channel is active.
    Example: true

  - `channel.isDefault` (boolean)
    Whether the channel is the default (default: false).

  - `channel.ignoreTime` (boolean)
    Whether to ignore time constraints (default: false).

  - `channel.weekDays` (array)
    Days of the week alerts will be generated.
    Enum: "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"

  - `channel.permissions` (array)
    Enum: "team:read", "team:write"


